Request a Device upgrade to a different Firmware
curl --request POST \
--url https://manage.nervescloud.com/api/devices/{identifier}/upgrade \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uuid": "d9f8c63a-1234-5678-abcd-ef0123456789"
}
'import requests
url = "https://manage.nervescloud.com/api/devices/{identifier}/upgrade"
payload = { "uuid": "d9f8c63a-1234-5678-abcd-ef0123456789" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({uuid: 'd9f8c63a-1234-5678-abcd-ef0123456789'})
};
fetch('https://manage.nervescloud.com/api/devices/{identifier}/upgrade', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": {
"detail": "Resource Not Found or Authorization Insufficient"
}
}{
"errors": {
"detail": "Resource Not Found or Authorization Insufficient"
}
}{
"errors": {
"detail": "Resource Not Found or Authorization Insufficient"
}
}{
"errors": {
"identifier": [
"can't be blank"
]
}
}Devices (short URL)
Request a Device upgrade to a different Firmware
POST
/
api
/
devices
/
{identifier}
/
upgrade
Request a Device upgrade to a different Firmware
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Device Identifier
Body
application/json
Firmware upgrade request body
POST body for upgrading a Device to a specific Firmware
Target firmware UUID
Response
No content

